API / Reference / Ledger accounts
List ledger accounts
GET
https://api.light.inc/v1/ledger-accounts
Returns a paginated list of ledger accounts
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Query parameters
-
sortstringSort string in the format
field:direction. To provide multiple sort fields, separate them with commas.Available directions:
asc,desc.Available fields:
code,label,context,type,category,status,createdAt,updatedAt. -
filterstringFilter string in the format
field:operator:value. To provide multiple filters, separate them with commas.Available operators:
eq,ne,in,not_in,gt,gte,lt,lte.- For
inandnot_inoperators, provide multiple values separated by the pipe character (|).
Available fields:
id,companyEntityId,code,sourceType,status,type,category,createdAt,updatedAt. - For
-
limitinteger · int32Maximum number of items to return. Default is 50, maximum is 200.
-
offsetinteger · int64deprecatedNumber of items to skip before starting to collect the result set. Deprecated, use 'cursor' instead.
-
cursorstringThe cursor position to start returning results from. To opt-in into cursor-based pagination, provide
0for the initial request. For subsequent requests, usenextCursorandprevCursorfrom the previous response to navigate. Cursor values are opaque and should not be constructed manually. -
ledgerFeaturestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ALLCARD_TRANSACTIONSINVOICE_PAYABLESINVOICE_RECEIVABLESJOURNAL_ENTRIESPURCHASE_ORDERSREIMBURSEMENTS -
includeCustomPropertiesbooleanWhether to include custom properties in the response
Response
-
recordsarray of objectList of records for the current page
-
idstring · uuid -
companyIdstring · uuid -
bankAccountIdstring · uuid -
cardAccountIdstring · uuid -
cashAndEquivalentsAccountIdstring · uuid -
codeinteger · int32 -
labelstring -
typestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
BANKCARDCASH_AND_EQUIVALENTSACCOUNTS_RECEIVABLEINVENTORYCORPORATE_TAX_RECEIVABLEOTHER_CURRENT_ASSETINTANGIBLE_NON_CURRENT_ASSETTANGIBLE_NON_CURRENT_ASSETFINANCIAL_NON_CURRENT_ASSETCORPORATE_TAX_DEFERRED_ASSETOTHER_NON_CURRENT_ASSETACCOUNTS_PAYABLEOVERDRAFT_FACILITYCORPORATE_TAX_PAYABLEOTHER_CURRENT_LIABILITYLONG_TERM_LOANCORPORATE_TAX_DEFERRED_LIABILITYOTHER_LONG_TERM_LIABILITYCONTRIBUTED_CAPITALRETAINED_EARNINGSACCUMULATED_OTHER_COMPREHENSIVE_INCOMEOTHER_EQUITYCOST_OF_SALESDISTRIBUTION_COSTGENERAL_AND_ADMINISTRATIVE_EXPENSEPERSONNEL_COSTOTHER_OPERATING_EXPENSEINCOME_TAXDEPRECIATION_AND_AMORTIZATIONNON_OPERATING_EXPENSEINTEREST_EXPENSEEXCHANGE_RATE_LOSS_REALIZEDEXCHANGE_RATE_LOSS_UNREALIZEDOTHER_FINANCIAL_EXPENSEREVENUEDISCOUNTNON_OPERATING_INCOMEINTEREST_INCOMEEXCHANGE_RATE_GAIN_REALIZEDEXCHANGE_RATE_GAIN_UNREALIZEDOTHER_FINANCIAL_INCOME -
statusstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACTIVEDISABLED_EXTERNALLYDISABLED -
contextstring -
revaluateFxBalanceboolean -
companyEntitiesarray of object-
idstring · uuid -
companyIdstring · uuid -
codestring -
parentCompanyEntityIdstring · uuid -
localCurrencystring -
displayNamestring -
vatNumberstring -
namestring -
addressobject-
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
UNDEFINEDACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystring -
statestring -
zipcodestring -
streetstring -
street2string
-
-
statusstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACTIVEHIDDENINACTIVE -
seedInvoiceNumberinteger · int64This field is used to offset the invoice number sequence for this company entity. The first invoice issued for this company entity will have the number seedInvoiceNumber. This field is optional (default is 1) and can be used to set a custom starting point for invoice numbering or to synchronize with an existing invoicing system. After the first invoice is issued, the sequence will continue without gaps and the seedInvoiceNumber will be ignored.
-
createdAtstring · date-time -
updatedAtstring · date-time
-
-
customPropertiesarray of object-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
valuesarray of objectList of values. Note that this will be a single value unless the group input type supports multiple values
-
idstring · uuidUnique identifier for the object
-
groupIdstring · uuidID of the custom property group
-
groupInternalNamestringInternal name of the custom property group
-
companyIdstring · uuidID of the company
-
internalNamestringInternal name of the custom property value
-
labelstringLabel of the custom property value
-
contextstringContext/description of the custom property value
-
createdAtstring · date-timeTimestamp when the custom property value was created
-
updatedAtstring · date-timeTimestamp when the custom property value was last updated
-
-
-
createdAtstring · date-time -
updatedAtstring · date-time
-
-
hasMorebooleanBoolean flag indicating if there are more records available
-
totalinteger · int64deprecatedTotal number of records (only for offset pagination). This field is not guaranteed to be returned and only available for offset pagination, please do not rely on it and migrate to cursor pagination.
-
nextCursorstringCursor for fetching the next page (only for cursor pagination)
-
prevCursorstringCursor for fetching the previous page (only for cursor pagination)